Forum
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/forum
- GET /api/forum/{forumId}
- GET /api/forum/{forumId}/keyword
- GET /api/forum/{forumId}/moderator
- GET /api/forum/{forumId}/participant
- GET /api/forum/{forumId}/subscriber
- POST /api/forum/{forumId}/expert
- POST /api/forum/{forumId}/keyword
- POST /api/forum/{forumId}/moderator
- PUT /api/forum/{forumId}/subscribe
- PUT /api/forum/{forumId}/subscribeteam
- DELETE /api/forum/{forumId}/expert
- DELETE /api/forum/{forumId}/keyword
- DELETE /api/forum/{forumId}/moderator
- DELETE /api/forum/{forumId}/unsubscribe
- GET /api/forum/{forumId}/thread
- GET /api/forum/{forumId}/thread/{threadId}
- GET /api/forum/{forumId}/thread/{threadId}/attachment
- GET /api/forum/{forumId}/thread/{threadId}/attachment/{attachmentGuid}
- GET /api/forum/{forumId}/thread/{threadId}/expert
- GET /api/forum/{forumId}/thread/{threadId}/forumexpert
- GET /api/forum/{forumId}/thread/{threadId}/keyword
- GET /api/forum/{forumId}/thread/{threadId}/like
- GET /api/forum/{forumId}/thread/{threadId}/participant
- GET /api/forum/{forumId}/thread/{threadId}/personvote
- GET /api/forum/{forumId}/thread/{threadId}/post
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment/{attachmentGuid}
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/personvote
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/share
- GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/vote
- GET /api/forum/{forumId}/thread/{threadId}/share
- GET /api/forum/{forumId}/thread/{threadId}/subscriber
- GET /api/forum/{forumId}/thread/{threadId}/vote
- POST /api/forum/{forumId}/thread
- POST /api/forum/{forumId}/thread/{threadId}/attachment
- POST /api/forum/{forumId}/thread/{threadId}/invite
- POST /api/forum/{forumId}/thread/{threadId}/keyword
- POST /api/forum/{forumId}/thread/{threadId}/post
- POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
- POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment
- POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/share
- POST /api/forum/{forumId}/thread/{threadId}/share
- PUT /api/forum/{forumId}/thread/{threadId}
- PUT /api/forum/{forumId}/thread/{threadId}/addvote
- PUT /api/forum/{forumId}/thread/{threadId}/close
- PUT /api/forum/{forumId}/thread/{threadId}/like
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/addvote
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/answer
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
- PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
- PUT /api/forum/{forumId}/thread/{threadId}/subscribe
- DELETE /api/forum/{forumId}/thread/{threadId}/attachment
- DELETE /api/forum/{forumId}/thread/{threadId}/attachment/{attachmentGuid}
- DELETE /api/forum/{forumId}/thread/{threadId}/close
- DELETE /api/forum/{forumId}/thread/{threadId}/keyword
- DELETE /api/forum/{forumId}/thread/{threadId}/like
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/answer
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment/{attachmentGuid}
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
- DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/removevote
- DELETE /api/forum/{forumId}/thread/{threadId}/removevote
- DELETE /api/forum/{forumId}/thread/{threadId}/unsubscribe
GET /api/forum
Get all active forums
🔒Access — System admin
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Forums": [
{
"ForumId": 0,
"ContentId": 0,
"Section": {
"SectionId": 0,
"ParentId": 0,
"Title": "string",
"Description": "string",
"Active": true
},
"ForumTitle": "string",
"ForumSummary": "string",
"PublishStartDate": "2024-01-01T00:00:00Z",
"PublishEndDate": "2024-01-01T00:00:00Z",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Owner": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Keywords": [
"string"
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Threads": [
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}
],
"WatchCount": 0,
"ThreadCount": 0,
"AlertModerator": true,
"AlertOnThread": true,
"AllowAnonymous": true,
"AllowAnonymousVoting": true,
"AllowDiscussions": true,
"AllowIdeas": true,
"AllowQuestions": true,
"AllowIdeasList": true,
"ShowReplies": true,
"IsActive": true
}
]
}| Field | Type |
|---|---|
Forums | array of object |
GET /api/forum/{forumId}
Gets a forum by forum id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ForumId": 0,
"ContentId": 0,
"Section": {
"SectionId": 0,
"ParentId": 0,
"Title": "string",
"Description": "string",
"Active": true
},
"ForumTitle": "string",
"ForumSummary": "string",
"PublishStartDate": "2024-01-01T00:00:00Z",
"PublishEndDate": "2024-01-01T00:00:00Z",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Owner": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Keywords": [
"string"
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Threads": [
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}
],
"WatchCount": 0,
"ThreadCount": 0,
"AlertModerator": true,
"AlertOnThread": true,
"AllowAnonymous": true,
"AllowAnonymousVoting": true,
"AllowDiscussions": true,
"AllowIdeas": true,
"AllowQuestions": true,
"AllowIdeasList": true,
"ShowReplies": true,
"IsActive": true
}| Field | Type |
|---|---|
ForumId | integer (int32) |
ContentId | integer (int32) |
Section | object |
ForumTitle | string |
ForumSummary | string |
PublishStartDate | string (date-time) |
PublishEndDate | string (date-time) |
AddedDate | string (date-time) |
AddedBy | object |
Owner | object |
Keywords | array of string |
Watches | array of object |
Threads | array of object |
WatchCount | integer (int32) |
ThreadCount | integer (int32) |
AlertModerator | boolean |
AlertOnThread | boolean |
AllowAnonymous | boolean |
AllowAnonymousVoting | boolean |
AllowDiscussions | boolean |
AllowIdeas | boolean |
AllowQuestions | boolean |
AllowIdeasList | boolean |
ShowReplies | boolean |
IsActive | boolean |
GET /api/forum/{forumId}/keyword
Get forum keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
GET /api/forum/{forumId}/moderator
Get forum moderators
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Moderators": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Moderators | array of object |
GET /api/forum/{forumId}/participant
Get forum participants
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Participants": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Participants | array of object |
GET /api/forum/{forumId}/subscriber
Get forum subscribers
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Subscribers": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Subscribers | array of object |
POST /api/forum/{forumId}/expert
Add experts to a forum
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Request body
{
"ExpertIds": [
0
]
}| Field | Type |
|---|---|
ExpertIds | array of integer |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Experts": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Experts | array of object |
POST /api/forum/{forumId}/keyword
Add forum keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Request body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
POST /api/forum/{forumId}/moderator
Add moderators to forum
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Request body
{
"Moderators": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Moderators | array of object |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Moderators": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Moderators | array of object |
PUT /api/forum/{forumId}/subscribe
Subscribe to forum
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
PUT /api/forum/{forumId}/subscribeteam
Subscribe a team to a forum
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/expert
Remove forum experts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Experts": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Experts | array of object |
DELETE /api/forum/{forumId}/keyword
Remove forum keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
DELETE /api/forum/{forumId}/moderator
Remove forum moderators
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Moderators": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Moderators | array of object |
DELETE /api/forum/{forumId}/unsubscribe
Unsubscribe from forum
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
GET /api/forum/{forumId}/thread
Get all forum threads by forum id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ForumId": 0,
"SectionId": 0,
"Active": true,
"Title": "string",
"Threads": [
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}
]
}| Field | Type |
|---|---|
ForumId | integer (int32) |
SectionId | integer (int32) |
Active | boolean |
Title | string |
Threads | array of object |
GET /api/forum/{forumId}/thread/{threadId}
Gets a forum thread by its id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
threadId |
path | integer (int32) | Yes | |
forumId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
ForumId | integer (int32) |
Title | string |
Description | string |
Type | string |
AddedDate | string (date-time) |
AddedBy | object |
Posts | array of object |
LatestPost | object |
Keywords | array of string |
Likes | array of object |
Watches | array of object |
Shares | array of object |
PostCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
LikeCount | integer (int32) |
WatchCount | integer (int32) |
ShareCount | integer (int32) |
Icon | integer (int32) |
IsActive | boolean |
IsClosed | boolean |
IsSticky | boolean |
IsImplemented | boolean |
IsQuestion | boolean |
HasAnswer | boolean |
IsCommentsAllowed | boolean |
GET /api/forum/{forumId}/thread/{threadId}/attachment
Get the attachment paths for the specified forum thread.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
[
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}
]| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/attachment/{attachmentGuid}
Get an attachment from a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
attachmentGuid |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/expert
Gets a lists of suggested forum experts by threadId
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Experts": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Experts | array of object |
GET /api/forum/{forumId}/thread/{threadId}/forumexpert
Get forum suggested experts
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Experts": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Experts | array of object |
GET /api/forum/{forumId}/thread/{threadId}/keyword
Get thread keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
GET /api/forum/{forumId}/thread/{threadId}/like
Get likes for a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Count": 0,
"CurrentUserLiked": true,
"Likes": [
{
"LikeDate": "2024-01-01T00:00:00Z",
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CurrentUserLiked | boolean |
Likes | array of object |
GET /api/forum/{forumId}/thread/{threadId}/participant
Get participants
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Participants": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Participants | array of object |
GET /api/forum/{forumId}/thread/{threadId}/personvote
Get person thread vote
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/post
Get all posts in a thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ThreadId": 0,
"SectionId": 0,
"Active": true,
"Title": "string",
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
]
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
SectionId | integer (int32) |
Active | boolean |
Title | string |
Posts | array of object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}
Get a post by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes | |
forumId |
path | string | Yes | |
threadId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
AddedDate | string (date-time) |
AddedBy | object |
Likes | array of object |
Shares | array of object |
Comments | array of object |
LikesCount | integer (int32) |
SharesCount | integer (int32) |
CommentsCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
IsAnonymous | boolean |
IsAnswer | boolean |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
Get the attachment paths for the specified forum post.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
[
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}
]| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment/{attachmentGuid}
Get an attachment from a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
attachmentGuid |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment
Get all comments in a post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
]
}| Field | Type |
|---|---|
Comments | array of object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
Get a comment by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}| Field | Type |
|---|---|
CommentId | integer (int32) |
PostId | integer (int32) |
Comment | string |
AddedDate | string (date-time) |
AddedBy | object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
Get likes for a forum post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Count": 0,
"CurrentUserLiked": true,
"Likes": [
{
"LikeDate": "2024-01-01T00:00:00Z",
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CurrentUserLiked | boolean |
Likes | array of object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
Get likes for a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Count": 0,
"CurrentUserLiked": true,
"Likes": [
{
"LikeDate": "2024-01-01T00:00:00Z",
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CurrentUserLiked | boolean |
Likes | array of object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/personvote
Get person post vote
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/share
Get post shares
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ActionId": 0,
"Comment": "string",
"People": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
ActionId | integer (int32) |
Comment | string |
People | array of object |
GET /api/forum/{forumId}/thread/{threadId}/post/{postId}/vote
Get post votes
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
GET /api/forum/{forumId}/thread/{threadId}/share
Get thread shares
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ActionId": 0,
"Comment": "string",
"People": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
ActionId | integer (int32) |
Comment | string |
People | array of object |
GET /api/forum/{forumId}/thread/{threadId}/subscriber
Get thread subscribers
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Subscribers": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Subscribers | array of object |
GET /api/forum/{forumId}/thread/{threadId}/vote
Get forum votes
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
POST /api/forum/{forumId}/thread
Create a new forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes |
Request body
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"Keywords": [
"string"
],
"Experts": [
0
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"IsActive": true,
"IsSticky": true,
"IsCommentsAllowed": true
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
ForumId | integer (int32) |
Title | string |
Description | string |
Type | string |
Keywords | array of string |
Experts | array of integer |
Likes | array of object |
Watches | array of object |
Shares | array of object |
IsActive | boolean |
IsSticky | boolean |
IsCommentsAllowed | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
ForumId | integer (int32) |
Title | string |
Description | string |
Type | string |
AddedDate | string (date-time) |
AddedBy | object |
Posts | array of object |
LatestPost | object |
Keywords | array of string |
Likes | array of object |
Watches | array of object |
Shares | array of object |
PostCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
LikeCount | integer (int32) |
WatchCount | integer (int32) |
ShareCount | integer (int32) |
Icon | integer (int32) |
IsActive | boolean |
IsClosed | boolean |
IsSticky | boolean |
IsImplemented | boolean |
IsQuestion | boolean |
HasAnswer | boolean |
IsCommentsAllowed | boolean |
POST /api/forum/{forumId}/thread/{threadId}/attachment
Upload an attachment for a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
[
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}
]| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
POST /api/forum/{forumId}/thread/{threadId}/invite
Send thread invitations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"Users": [
0
],
"Comment": "string"
}| Field | Type |
|---|---|
Users | array of integer |
Comment | string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Users": [
0
],
"Comment": "string"
}| Field | Type |
|---|---|
Users | array of integer |
Comment | string |
POST /api/forum/{forumId}/thread/{threadId}/keyword
Add thread keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
POST /api/forum/{forumId}/thread/{threadId}/post
Create a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
IsAnonymous | boolean |
IsAnswer | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
AddedDate | string (date-time) |
AddedBy | object |
Likes | array of object |
Shares | array of object |
Comments | array of object |
LikesCount | integer (int32) |
SharesCount | integer (int32) |
CommentsCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
IsAnonymous | boolean |
IsAnswer | boolean |
POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
Upload an attachment for a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
[
{
"AttachmentId": 0,
"FileGuid": "string",
"Path": "string",
"Title": "string",
"Size": 0,
"Extension": "string",
"AssetId": 0,
"SortOrder": 0
}
]| Field | Type |
|---|---|
AttachmentId | integer (int32) |
FileGuid | string |
Path | string |
Title | string |
Size | integer (int32) |
Extension | string |
AssetId | integer (int32) |
SortOrder | integer (int32) |
POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment
Create a post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Request body
{
"CommentId": 0,
"PostId": 0,
"Comment": "string"
}| Field | Type |
|---|---|
CommentId | integer (int32) |
PostId | integer (int32) |
Comment | string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}| Field | Type |
|---|---|
CommentId | integer (int32) |
PostId | integer (int32) |
Comment | string |
AddedDate | string (date-time) |
AddedBy | object |
POST /api/forum/{forumId}/thread/{threadId}/post/{postId}/share
Share a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes | |
forumId |
path | string | Yes | |
threadId |
path | string | Yes |
Request body
"string"No documented fields.
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ActionId": 0,
"Comment": "string",
"People": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
ActionId | integer (int32) |
Comment | string |
People | array of object |
POST /api/forum/{forumId}/thread/{threadId}/share
Share a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
threadId |
path | integer (int32) | Yes | |
forumId |
path | string | Yes |
Request body
"string"No documented fields.
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ActionId": 0,
"Comment": "string",
"People": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
ActionId | integer (int32) |
Comment | string |
People | array of object |
PUT /api/forum/{forumId}/thread/{threadId}
Update a thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"Keywords": [
"string"
],
"Experts": [
0
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"IsActive": true,
"IsSticky": true,
"IsCommentsAllowed": true
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
ForumId | integer (int32) |
Title | string |
Description | string |
Type | string |
Keywords | array of string |
Experts | array of integer |
Likes | array of object |
Watches | array of object |
Shares | array of object |
IsActive | boolean |
IsSticky | boolean |
IsCommentsAllowed | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"ThreadId": 0,
"ForumId": 0,
"Title": "string",
"Description": "string",
"Type": "Discussion",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Posts": [
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}
],
"LatestPost": {
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
},
"Keywords": [
"string"
],
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Watches": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"PostCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"LikeCount": 0,
"WatchCount": 0,
"ShareCount": 0,
"Icon": 0,
"IsActive": true,
"IsClosed": true,
"IsSticky": true,
"IsImplemented": true,
"IsQuestion": true,
"HasAnswer": true,
"IsCommentsAllowed": true
}| Field | Type |
|---|---|
ThreadId | integer (int32) |
ForumId | integer (int32) |
Title | string |
Description | string |
Type | string |
AddedDate | string (date-time) |
AddedBy | object |
Posts | array of object |
LatestPost | object |
Keywords | array of string |
Likes | array of object |
Watches | array of object |
Shares | array of object |
PostCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
LikeCount | integer (int32) |
WatchCount | integer (int32) |
ShareCount | integer (int32) |
Icon | integer (int32) |
IsActive | boolean |
IsClosed | boolean |
IsSticky | boolean |
IsImplemented | boolean |
IsQuestion | boolean |
HasAnswer | boolean |
IsCommentsAllowed | boolean |
PUT /api/forum/{forumId}/thread/{threadId}/addvote
Add thread vote
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"VoteId": 0,
"ThreadId": 0,
"PostId": 0,
"Direction": 0,
"PersonId": 0,
"UpVote": 0,
"DownVote": 0
}| Field | Type |
|---|---|
VoteId | integer (int32) |
ThreadId | integer (int32) |
PostId | integer (int32) |
Direction | integer (int32) |
PersonId | integer (int32) |
UpVote | integer (int32) |
DownVote | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
PUT /api/forum/{forumId}/thread/{threadId}/close
Update a close.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
PUT /api/forum/{forumId}/thread/{threadId}/like
Like a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}
Update a post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Request body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
IsAnonymous | boolean |
IsAnswer | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
AddedDate | string (date-time) |
AddedBy | object |
Likes | array of object |
Shares | array of object |
Comments | array of object |
LikesCount | integer (int32) |
SharesCount | integer (int32) |
CommentsCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
IsAnonymous | boolean |
IsAnswer | boolean |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/addvote
Add post vote
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Request body
{
"VoteId": 0,
"ThreadId": 0,
"PostId": 0,
"Direction": 0,
"PersonId": 0,
"UpVote": 0,
"DownVote": 0
}| Field | Type |
|---|---|
VoteId | integer (int32) |
ThreadId | integer (int32) |
PostId | integer (int32) |
Direction | integer (int32) |
PersonId | integer (int32) |
UpVote | integer (int32) |
DownVote | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/answer
Mark post as answer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
AddedDate | string (date-time) |
AddedBy | object |
Likes | array of object |
Shares | array of object |
Comments | array of object |
LikesCount | integer (int32) |
SharesCount | integer (int32) |
CommentsCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
IsAnonymous | boolean |
IsAnswer | boolean |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
Update a post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Request body
{
"CommentId": 0,
"PostId": 0,
"Comment": "string"
}| Field | Type |
|---|---|
CommentId | integer (int32) |
PostId | integer (int32) |
Comment | string |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}| Field | Type |
|---|---|
CommentId | integer (int32) |
PostId | integer (int32) |
Comment | string |
AddedDate | string (date-time) |
AddedBy | object |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
Like a forum post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
PUT /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
Like a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
PUT /api/forum/{forumId}/thread/{threadId}/subscribe
Subscribe to thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/attachment
Deletes all attachments for a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/attachment/{attachmentGuid}
Deletes an attachment from forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
attachmentGuid |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/close
Delete a close.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/keyword
Remove thread keywords
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Keywords": [
"string"
]
}| Field | Type |
|---|---|
Keywords | array of string |
DELETE /api/forum/{forumId}/thread/{threadId}/like
Unlike a forum thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"Count": 0,
"CurrentUserLiked": true,
"Likes": [
{
"LikeDate": "2024-01-01T00:00:00Z",
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
]
}| Field | Type |
|---|---|
Count | integer (int32) |
CurrentUserLiked | boolean |
Likes | array of object |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}
Delete a post from a thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/answer
Unmark post as answer
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"PostId": 0,
"ThreadId": 0,
"PostText": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
},
"Likes": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Shares": [
{
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
],
"Comments": [
{
"CommentId": 0,
"PostId": 0,
"Comment": "string",
"AddedDate": "2024-01-01T00:00:00Z",
"AddedBy": {
"PersonId": 0,
"FullName": "string",
"FirstName": "string",
"Surname": "string",
"AssetId": 0,
"ImageUrl": "string",
"ProfileUrl": "string"
}
}
],
"LikesCount": 0,
"SharesCount": 0,
"CommentsCount": 0,
"UpVotes": 0,
"DownVotes": 0,
"TotalVotes": 0,
"IsAnonymous": true,
"IsAnswer": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
ThreadId | integer (int32) |
PostText | string |
AddedDate | string (date-time) |
AddedBy | object |
Likes | array of object |
Shares | array of object |
Comments | array of object |
LikesCount | integer (int32) |
SharesCount | integer (int32) |
CommentsCount | integer (int32) |
UpVotes | integer (int32) |
DownVotes | integer (int32) |
TotalVotes | integer (int32) |
IsAnonymous | boolean |
IsAnswer | boolean |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment
Deletes all attachments for a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/attachment/{attachmentGuid}
Deletes an attachment from a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
attachmentGuid |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}
Delete a comment on a post by id
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/comment/{commentId}/like
Unlike a forum post comment
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes | |
commentId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/like
Unlike a forum post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |
DELETE /api/forum/{forumId}/thread/{threadId}/post/{postId}/removevote
Remove vote from post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes | |
postId |
path | integer (int32) | Yes |
Request body
{
"VoteId": 0,
"ThreadId": 0,
"PostId": 0,
"Direction": 0,
"PersonId": 0,
"UpVote": 0,
"DownVote": 0
}| Field | Type |
|---|---|
VoteId | integer (int32) |
ThreadId | integer (int32) |
PostId | integer (int32) |
Direction | integer (int32) |
PersonId | integer (int32) |
UpVote | integer (int32) |
DownVote | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
DELETE /api/forum/{forumId}/thread/{threadId}/removevote
Remove vote from thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Request body
{
"VoteId": 0,
"ThreadId": 0,
"PostId": 0,
"Direction": 0,
"PersonId": 0,
"UpVote": 0,
"DownVote": 0
}| Field | Type |
|---|---|
VoteId | integer (int32) |
ThreadId | integer (int32) |
PostId | integer (int32) |
Direction | integer (int32) |
PersonId | integer (int32) |
UpVote | integer (int32) |
DownVote | integer (int32) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 | |
| 404 |
Response body
{
"UpVote": 0,
"DownVote": 0,
"Total": 0
}| Field | Type |
|---|---|
UpVote | integer (int32) |
DownVote | integer (int32) |
Total | integer (int32) |
DELETE /api/forum/{forumId}/thread/{threadId}/unsubscribe
Unsubscribe from thread
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
forumId |
path | integer (int32) | Yes | |
threadId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 | |
| 403 | |
| 404 |